# Interface VersionControlSpec

All Superinterfaces:
  `Describable`

All Known Subinterfaces:
  `GitVersionControlSpec`

@Incubating public interface VersionControlSpec extends Describable
Captures user-provided information about a version control system.

Since:
  4.4

## Method Summary

Modifier and Type
Method
Description
`String`
`getRepoName()`
Returns the name of the repository.
`String`
`getUniqueId()`
Returns a `String` identifier which will be unique to this version control specification among other version control specifications.

### Methods inherited from interface Describable

`getDisplayName`

## Method Details

### getUniqueId

String getUniqueId()
Returns a `String` identifier which will be unique to this version control specification among other version control specifications.

### getRepoName

String getRepoName()
Returns the name of the repository.